<?php

class tc_woo_excerpt_ticket_template_element extends TC_Ticket_Template_Elements {

	var $element_name		 = 'tc_woo_excerpt_ticket_template_element';
	var $element_title		 = 'Product Short Description';
	var $font_awesome_icon	 = '<i class="fa fa-comment"></i>';

	function on_creation() {
		$this->element_title = apply_filters( 'tc_woo_excerpt_title', __( 'Product Short Description', 'tc' ) );
	}

	function ticket_content( $ticket_instance_id = false, $ticket_type_id = false) {
		if ( $ticket_instance_id ) {
			$ticket_instance = new TC_Ticket_Instance( (int) $ticket_instance_id );
                        
                        
                        $product_id = get_post_meta($ticket_instance_id, 'ticket_type_id', true);
                        
                        $_product = wc_get_product( $product_id );
			$short_desc		 = $_product->get_short_description();
			return apply_filters( 'tc_ticket_product_short_description_element', $short_desc );
		} else {
			return apply_filters( 'tc_ticket_product_short_description_element_default', __( 'This is the example of product short descritpion (not actually pulled from any product)', 'tc' ) );
		}
	}

}

tc_register_template_element( 'tc_woo_excerpt_ticket_template_element', __( 'Product Short Description', 'tc' ) );
